Package: org.gradle.play.plugins

## [Java] Class PlayApplicationPlugin

- org.gradle.play.plugins.PlayApplicationPlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Incubating
      public class PlayApplicationPlugin
      extends Object

  Plugin for Play Framework component support. Registers the PlayApplicationSpec component type for the components container.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `DEFAULT_HTTP_PORT` |
    `static String` | `RUN_GROUP` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PlayApplicationPlugin (org.gradle.model.internal.registry.ModelRegistry modelRegistry)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final int DEFAULT_HTTP_PORT

    - #### public static final String RUN_GROUP

  - ### Constructor Detail

    - #### @javax.inject.Inject public PlayApplicationPlugin(org.gradle.model.internal.registry.ModelRegistry modelRegistry)

  - ### Method Detail

    - #### @Override public void apply(Project project)